Bug 444288 - unable to add top level include "etc/rndc.key"; with s-c-bind
unable to add top level include "etc/rndc.key"; with s-c-bind
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-26 12:50 EDT by Gene Czarcinski
Modified: 2009-01-09 02:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:47:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2008-04-26 12:50:36 EDT
Description of problem:

The does not appear to be any way to add a "top level" "named key" definition
with s-c-bind.

If you manually add:
  include "etc/rndc.key";
to named.conf to s-c-bind will recognize the named key and you are able to use
it in "allow-updates".  But, I do not see any way to add this with s-c-bind.

Version-Release number of selected component (if applicable):
Fedora 8

How reproducible:
??
Comment 2 Jaroslav Reznik 2008-08-21 10:18:12 EDT
We (me and Adam Tkac - Bind packager) think it will be much more better to always create rndckey as top level in etc/rndc.key. Rndckey in named.conf only causes problems. So I'll change behaviour of s-c-b in this sense: 

1. new rndckey - s-c-b creates new top level rndckey (etc/rndc.key), not in named.conf file
2. rndckey already in etc/rndckey - s-c-b creates new secret in etc/rndc.key 
3. rndckey already in named.conf - s-c-b creates new secret in named.conf (maybe we can warn and ask to move it to etc/rndc.key?)
4. other keys (if needed?) - s-c-b creates them in named.conf
Comment 3 Bug Zapper 2008-11-26 05:35:07 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 02:47:52 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.